<?php

/*
  Module developed for the Open Source Content Management System WebsiteBaker (http://websitebaker.org)
  Copyright (C) 2007 - 2014, Christoph Marti

  LICENCE TERMS:
  This module is free software. You can redistribute it and/or modify it 
  under the terms of the GNU General Public License  - version 2 or later, 
  as published by the Free Software Foundation: http://www.gnu.org/licenses/gpl.html.

  DISCLAIMER:
  This module is distributed in the hope that it will be useful, 
  but WITHOUT ANY WARRANTY; without even the implied warranty of 
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
  GNU General Public License for more details.
*/


if (defined('WB_URL')) {
	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_bakery_items`");
	$mod_bakery = "CREATE TABLE `".TABLE_PREFIX."mod_bakery_items` ( "
			. "`item_id` INT NOT NULL AUTO_INCREMENT ,"
			. "`section_id` INT NOT NULL DEFAULT '0' ,"
			. "`page_id` INT NOT NULL DEFAULT '0' ,"
			. "`group_id` INT NOT NULL DEFAULT '0' ,"
			. "`active` INT NOT NULL DEFAULT '0' ,"
			. "`position` INT NOT NULL DEFAULT '0' ,"
			. "`title` VARCHAR(255) NOT NULL DEFAULT '' ,"
			. "`sku` VARCHAR(20) NOT NULL DEFAULT '' ,"
			. "`stock` VARCHAR(20) NOT NULL DEFAULT '' ,"
			. "`price` DECIMAL(9,2) NOT NULL ,"
			. "`shipping` DECIMAL(9,2) NOT NULL ,"
			. "`tax_rate` DECIMAL(5,2) NOT NULL ,"
			. "`definable_field_0` VARCHAR(150) NOT NULL DEFAULT '' ,"
			. "`definable_field_1` VARCHAR(150) NOT NULL DEFAULT '' ,"
			. "`definable_field_2` VARCHAR(150) NOT NULL DEFAULT '' ,"
			. "`link` TEXT NOT NULL ,"
			. "`description` TEXT NOT NULL ,"
			. "`full_desc` TEXT NOT NULL ,"
			. "`modified_when` INT NOT NULL DEFAULT '0' ,"
			. "`modified_by` INT NOT NULL DEFAULT '0' ,"
			. "`created_when` int(11) NOT NULL DEFAULT '0' ,"
			. "`created_by` int(11) NOT NULL DEFAULT '0' ,"
			. "PRIMARY KEY (`item_id`)"
			. " )";
	$database->query($mod_bakery);

    // mysql strict fix
    $database->query("ALTER TABLE `".TABLE_PREFIX."mod_bakery_items`
	ALTER `price` DROP DEFAULT,
	ALTER `shipping` DROP DEFAULT,
	ALTER `tax_rate` DROP DEFAULT;
ALTER TABLE `".TABLE_PREFIX."mod_bakery_items`
	CHANGE COLUMN `price` `price` DECIMAL(9,2) NULL AFTER `stock`,
	CHANGE COLUMN `shipping` `shipping` DECIMAL(9,2) NULL AFTER `price`,
	CHANGE COLUMN `tax_rate` `tax_rate` DECIMAL(5,2) NULL AFTER `shipping`,
	CHANGE COLUMN `link` `link` TEXT NULL AFTER `definable_field_2`,
	CHANGE COLUMN `description` `description` TEXT NULL AFTER `link`,
	CHANGE COLUMN `full_desc` `full_desc` TEXT NULL AFTER `description`;");

	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_bakery_images`");
	$mod_bakery = "CREATE TABLE `".TABLE_PREFIX."mod_bakery_images` ( "
			. "`img_id` int(11) NOT NULL AUTO_INCREMENT,"
			. "`item_id` int(11) NOT NULL DEFAULT '0',"
			. "`item_attribute_id` int(11) NOT NULL DEFAULT '0',"
			. "`filename` varchar(150) NOT NULL DEFAULT '',"
			. "`active` enum('1','0') NOT NULL DEFAULT '1',"
			. "`position` int(11) NOT NULL DEFAULT '0',"
			. "`alt` varchar(255) NOT NULL DEFAULT '',"
			. "`title` varchar(255) NOT NULL DEFAULT '',"
			. "`caption` text NOT NULL,"  
			. "PRIMARY KEY (`img_id`)"
			. " )";
	$database->query($mod_bakery);

	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_bakery_options`");
	$mod_bakery = "CREATE TABLE `".TABLE_PREFIX."mod_bakery_options` ( "
			. " `option_id` INT(6) NOT NULL AUTO_INCREMENT PRIMARY KEY ,"
			. " `option_name` VARCHAR(50) NOT NULL"
			. " )";
	$database->query($mod_bakery);
	
	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_bakery_attributes`");
	$mod_bakery = "CREATE TABLE `".TABLE_PREFIX."mod_bakery_attributes` ( "
			. " `attribute_id` INT(6) NOT NULL AUTO_INCREMENT PRIMARY KEY ,"
			. " `option_id` INT(6) NOT NULL ,"
			. " `attribute_name` VARCHAR(50) NOT NULL "
			. " )";
	$database->query($mod_bakery);
	
	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_bakery_item_attributes`");
	$mod_bakery = "CREATE TABLE `".TABLE_PREFIX."mod_bakery_item_attributes` ( "
			. " `assign_id` INT(6) NOT NULL AUTO_INCREMENT PRIMARY KEY ,"
			. " `item_id` INT(6) NOT NULL ,"
			. " `option_id` INT(6) NOT NULL ,"
			. " `attribute_id` INT(6) NOT NULL ,"
			. " `price` DECIMAL(9,2) NOT NULL ,"
			. " `operator` VARCHAR(1) NOT NULL "
			. " )";
	$database->query($mod_bakery);

	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_bakery_customer`");
	$mod_bakery = "CREATE TABLE `".TABLE_PREFIX."mod_bakery_customer` ( "
			. "`order_id` INT(6) NOT NULL AUTO_INCREMENT ,"
			. "`order_date` INT(11) NOT NULL ,"
			. "`shipping_fee` DECIMAL(9,2) NOT NULL ,"
			. "`sales_tax` DECIMAL(9,2) NOT NULL ,"
			. "`submitted` VARCHAR(20) NOT NULL DEFAULT 'no' ,"
			. "`transaction_id` VARCHAR(50) NOT NULL DEFAULT 'none' ,"
			. "`transaction_status` VARCHAR(10) NOT NULL DEFAULT 'none' ,"
			. "`status` VARCHAR(20) NOT NULL DEFAULT 'none' ,"
			. "`user_id` INT(6) NOT NULL ,"
			. "`cust_company` VARCHAR(50) NOT NULL ,"
			. "`cust_first_name` VARCHAR(50) NOT NULL ,"
			. "`cust_last_name` VARCHAR(50) NOT NULL ,"
			. "`cust_tax_no` VARCHAR(11) NOT NULL ,"
			. "`cust_street` VARCHAR(50) NOT NULL ,"
			. "`cust_city` VARCHAR(50) NOT NULL ,"
			. "`cust_state` VARCHAR(50) NOT NULL ,"
			. "`cust_country` VARCHAR(2) NOT NULL ,"
			. "`cust_zip` VARCHAR(10) NOT NULL ,"
			. "`cust_email` VARCHAR(50) NOT NULL ,"
			. "`cust_phone` VARCHAR(20) NOT NULL ,"
			. "`ship_company` VARCHAR(50) NOT NULL ,"
			. "`ship_first_name` VARCHAR(50) NOT NULL ,"
			. "`ship_last_name` VARCHAR(50) NOT NULL ,"
			. "`ship_street` VARCHAR(50) NOT NULL ,"
			. "`ship_city` VARCHAR(50) NOT NULL ,"
			. "`ship_state` VARCHAR(50) NOT NULL ,"
			. "`ship_country` VARCHAR(2) NOT NULL ,"
			. "`ship_zip` VARCHAR(10) NOT NULL ,"
			. "`invoice_id` INT(6) NOT NULL ,"
			. "`invoice` TEXT NOT NULL ,"
			. "PRIMARY KEY (`order_id`)"
			. " )";
	$database->query($mod_bakery);

    // mysql strict fix
    $database->query("ALTER TABLE `".TABLE_PREFIX."mod_bakery_customer`
	ALTER `order_date` DROP DEFAULT,
	ALTER `shipping_fee` DROP DEFAULT,
	ALTER `sales_tax` DROP DEFAULT,
	ALTER `user_id` DROP DEFAULT,
	ALTER `cust_company` DROP DEFAULT,
	ALTER `cust_first_name` DROP DEFAULT,
	ALTER `cust_last_name` DROP DEFAULT,
	ALTER `cust_tax_no` DROP DEFAULT,
	ALTER `cust_street` DROP DEFAULT,
	ALTER `cust_city` DROP DEFAULT,
	ALTER `cust_state` DROP DEFAULT,
	ALTER `cust_country` DROP DEFAULT,
	ALTER `cust_zip` DROP DEFAULT,
	ALTER `cust_email` DROP DEFAULT,
	ALTER `cust_phone` DROP DEFAULT,
	ALTER `ship_company` DROP DEFAULT,
	ALTER `ship_first_name` DROP DEFAULT,
	ALTER `ship_last_name` DROP DEFAULT,
	ALTER `ship_street` DROP DEFAULT,
	ALTER `ship_city` DROP DEFAULT,
	ALTER `ship_state` DROP DEFAULT,
	ALTER `ship_country` DROP DEFAULT,
	ALTER `ship_zip` DROP DEFAULT,
	ALTER `invoice_id` DROP DEFAULT;
ALTER TABLE `".TABLE_PREFIX."mod_bakery_customer`
	CHANGE COLUMN `order_date` `order_date` INT(11) NULL AFTER `order_id`,
	CHANGE COLUMN `shipping_fee` `shipping_fee` DECIMAL(9,2) NULL AFTER `order_date`,
	CHANGE COLUMN `sales_tax` `sales_tax` DECIMAL(9,2) NULL AFTER `shipping_fee`,
	CHANGE COLUMN `user_id` `user_id` INT(6) NULL AFTER `status`,
	CHANGE COLUMN `cust_company` `cust_company` VARCHAR(50) NULL AFTER `user_id`,
	CHANGE COLUMN `cust_first_name` `cust_first_name` VARCHAR(50) NULL AFTER `cust_company`,
	CHANGE COLUMN `cust_last_name` `cust_last_name` VARCHAR(50) NULL AFTER `cust_first_name`,
	CHANGE COLUMN `cust_tax_no` `cust_tax_no` VARCHAR(11) NULL AFTER `cust_last_name`,
	CHANGE COLUMN `cust_street` `cust_street` VARCHAR(50) NULL AFTER `cust_tax_no`,
	CHANGE COLUMN `cust_city` `cust_city` VARCHAR(50) NULL AFTER `cust_street`,
	CHANGE COLUMN `cust_state` `cust_state` VARCHAR(50) NULL AFTER `cust_city`,
	CHANGE COLUMN `cust_country` `cust_country` VARCHAR(2) NULL AFTER `cust_state`,
	CHANGE COLUMN `cust_zip` `cust_zip` VARCHAR(10) NULL AFTER `cust_country`,
	CHANGE COLUMN `cust_email` `cust_email` VARCHAR(50) NULL AFTER `cust_zip`,
	CHANGE COLUMN `cust_phone` `cust_phone` VARCHAR(20) NULL AFTER `cust_email`,
	CHANGE COLUMN `ship_company` `ship_company` VARCHAR(50) NULL AFTER `cust_phone`,
	CHANGE COLUMN `ship_first_name` `ship_first_name` VARCHAR(50) NULL AFTER `ship_company`,
	CHANGE COLUMN `ship_last_name` `ship_last_name` VARCHAR(50) NULL AFTER `ship_first_name`,
	CHANGE COLUMN `ship_street` `ship_street` VARCHAR(50) NULL AFTER `ship_last_name`,
	CHANGE COLUMN `ship_city` `ship_city` VARCHAR(50) NULL AFTER `ship_street`,
	CHANGE COLUMN `ship_state` `ship_state` VARCHAR(50) NULL AFTER `ship_city`,
	CHANGE COLUMN `ship_country` `ship_country` VARCHAR(2) NULL AFTER `ship_state`,
	CHANGE COLUMN `ship_zip` `ship_zip` VARCHAR(10) NULL AFTER `ship_country`,
	CHANGE COLUMN `invoice_id` `invoice_id` INT(6) NULL AFTER `ship_zip`,
	CHANGE COLUMN `invoice` `invoice` TEXT NULL AFTER `invoice_id`;");
	
	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_bakery_order`");
	$mod_bakery = "CREATE TABLE `".TABLE_PREFIX."mod_bakery_order` ( "
			. "`order_id` INT(6) NOT NULL AUTO_INCREMENT ,"
			. "`item_id` INT(5) NOT NULL ,"
			. "`attributes` VARCHAR(50) NOT NULL ,"
			. "`sku` VARCHAR(20) NOT NULL ,"
			. "`quantity` INT(7) NOT NULL ,"
			. "`price` DECIMAL(9,2) NOT NULL ,"
			. "`tax_rate` DECIMAL(5,2) NOT NULL ,"
			. "PRIMARY KEY (`order_id`, `item_id`, `attributes`)"
			. " )";
	$database->query($mod_bakery);
	
	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_bakery_general_settings`");
	$mod_bakery = "CREATE TABLE `".TABLE_PREFIX."mod_bakery_general_settings` ( "
			. "`shop_id` INT NOT NULL DEFAULT '0' ,"
			. "`shop_name` VARCHAR(100) NOT NULL ,"
			. "`shop_email` VARCHAR(50) NOT NULL ,"
			. "`pages_directory` VARCHAR(20) NOT NULL DEFAULT 'bakery' ,"
			. "`tac_url` VARCHAR(255) NOT NULL ,"
			. "`shop_country` VARCHAR(2) NOT NULL DEFAULT 'CH' ,"
			. "`shop_state` VARCHAR(5) NOT NULL ,"
			. "`shipping_form` VARCHAR(10) NOT NULL DEFAULT 'none' ,"
			. "`company_field` ENUM('show','hide') NOT NULL ,"
			. "`state_field` ENUM('show','hide') NOT NULL ,"
			. "`tax_no_field` ENUM('show','hide') NOT NULL ,"
			. "`tax_group` VARCHAR(255) NOT NULL ,"
			. "`zip_location` ENUM('inside','end') NOT NULL ,"
			. "`cust_msg` ENUM('show','hide') NOT NULL  ,"
			. "`skip_cart` ENUM('yes','no') NOT NULL DEFAULT 'no' ,"
			. "`display_settings` ENUM('1','0') NOT NULL DEFAULT '0' ,"
			. "`use_captcha` ENUM('yes','no') NOT NULL DEFAULT 'no' ,"
			. "`definable_field_0` VARCHAR(50) NOT NULL ,"
			. "`definable_field_1` VARCHAR(50) NOT NULL ,"
			. "`definable_field_2` VARCHAR(50) NOT NULL ,"
			. "`stock_mode` VARCHAR(10) NOT NULL DEFAULT 'none' ,"
			. "`stock_limit` INT(3) NOT NULL DEFAULT '10' ,"
			. "`out_of_stock_orders` ENUM('1','0') NOT NULL DEFAULT '0' ,"
			. "`shop_currency` VARCHAR(3) NOT NULL DEFAULT 'CHF' ,"
			. "`dec_point` VARCHAR(1) NOT NULL DEFAULT '.' ,"
			. "`thousands_sep` VARCHAR(1) NOT NULL DEFAULT '\'' ,"
			. "`tax_by` VARCHAR(10) NOT NULL DEFAULT 'country' ,"
			. "`tax_rate` DECIMAL(5,2) NOT NULL DEFAULT '0' ,"
			. "`tax_rate1` DECIMAL(5,2) NOT NULL DEFAULT '0' ,"
			. "`tax_rate2` DECIMAL(5,2) NOT NULL DEFAULT '0' ,"
			. "`tax_included` ENUM('included','excluded') NOT NULL DEFAULT 'included' ,"
			. "`tax_rate_shipping` DECIMAL(5,2) NOT NULL DEFAULT '0' ,"
			. "`free_shipping` DECIMAL(7,2) NOT NULL DEFAULT '99999.99' ,"
			. "`free_shipping_msg` ENUM('show','hide') NOT NULL DEFAULT 'hide' ,"
			. "`shipping_method` VARCHAR(20) NOT NULL DEFAULT 'flat' ,"
			. "`shipping_domestic` DECIMAL(6,2) NOT NULL DEFAULT '0' ,"
			. "`shipping_abroad` DECIMAL(6,2) NOT NULL DEFAULT '0' ,"
			. "`shipping_zone` DECIMAL(6,2) NOT NULL ,"
			. "`zone_countries` TEXT NOT NULL ,"
			. "PRIMARY KEY (`shop_id`)"
			. " )";
	$database->query($mod_bakery);

    // mysql strict fix
    $database->query("ALTER TABLE `".TABLE_PREFIX."mod_bakery_general_settings`
	ALTER `shop_state` DROP DEFAULT,
	ALTER `company_field` DROP DEFAULT,
	ALTER `state_field` DROP DEFAULT,
	ALTER `tax_no_field` DROP DEFAULT,
	ALTER `tax_group` DROP DEFAULT,
	ALTER `zip_location` DROP DEFAULT,
	ALTER `cust_msg` DROP DEFAULT,
	ALTER `definable_field_0` DROP DEFAULT,
	ALTER `definable_field_1` DROP DEFAULT,
	ALTER `definable_field_2` DROP DEFAULT,
	ALTER `shipping_zone` DROP DEFAULT;
ALTER TABLE `".TABLE_PREFIX."mod_bakery_general_settings`
	CHANGE COLUMN `shop_state` `shop_state` VARCHAR(5) NULL AFTER `shop_country`,
	CHANGE COLUMN `company_field` `company_field` ENUM('show','hide') NULL AFTER `shipping_form`,
	CHANGE COLUMN `state_field` `state_field` ENUM('show','hide') NULL AFTER `company_field`,
	CHANGE COLUMN `tax_no_field` `tax_no_field` ENUM('show','hide') NULL AFTER `state_field`,
	CHANGE COLUMN `tax_group` `tax_group` VARCHAR(255) NULL AFTER `tax_no_field`,
	CHANGE COLUMN `zip_location` `zip_location` ENUM('inside','end') NULL AFTER `tax_group`,
	CHANGE COLUMN `cust_msg` `cust_msg` ENUM('show','hide') NULL AFTER `zip_location`,
	CHANGE COLUMN `definable_field_0` `definable_field_0` VARCHAR(50) NULL AFTER `use_captcha`,
	CHANGE COLUMN `definable_field_1` `definable_field_1` VARCHAR(50) NULL AFTER `definable_field_0`,
	CHANGE COLUMN `definable_field_2` `definable_field_2` VARCHAR(50) NULL AFTER `definable_field_1`,
	CHANGE COLUMN `shipping_zone` `shipping_zone` DECIMAL(6,2) DEFAULT '0.00',
	CHANGE COLUMN `zone_countries` `zone_countries` TEXT NULL AFTER `shipping_zone`;");
	
	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_bakery_page_settings`");
	$mod_bakery = "CREATE TABLE `".TABLE_PREFIX."mod_bakery_page_settings` ( "
			. "`section_id` INT NOT NULL DEFAULT '0' ,"
			. "`page_id` INT NOT NULL DEFAULT '0' ,"
			. "`page_offline` ENUM('yes','no') NOT NULL DEFAULT 'no' ,"
			. "`offline_text` TINYTEXT NOT NULL ,"
			. "`continue_url` INT(11) NOT NULL ,"
			. "`header` TEXT NOT NULL ,"
			. "`item_loop` TEXT NOT NULL ,"
			. "`footer` TEXT NOT NULL ,"
			. "`item_header` TEXT NOT NULL ,"
			. "`item_footer` TEXT NOT NULL ,"
			. "`items_per_page` INT NOT NULL DEFAULT '0' ,"
			. "`num_cols` INT NOT NULL DEFAULT '3' ,"
			. "`resize` INT NOT NULL DEFAULT '100' ,"
			. "`lightbox2` VARCHAR(10) NOT NULL DEFAULT 'detail' ,"
			. "PRIMARY KEY (`section_id`)"
			. " )";
	$database->query($mod_bakery);

    // mysql strict fix
    $database->query("ALTER TABLE `".TABLE_PREFIX."mod_bakery_page_settings`
	ALTER `continue_url` DROP DEFAULT;
ALTER TABLE `".TABLE_PREFIX."mod_bakery_page_settings`
	CHANGE COLUMN `offline_text` `offline_text` TINYTEXT NULL AFTER `page_offline`,
	CHANGE COLUMN `continue_url` `continue_url` INT(11) NULL AFTER `offline_text`,
	CHANGE COLUMN `header` `header` TEXT NULL AFTER `continue_url`,
	CHANGE COLUMN `item_loop` `item_loop` TEXT NULL AFTER `header`,
	CHANGE COLUMN `footer` `footer` TEXT NULL AFTER `item_loop`,
	CHANGE COLUMN `item_header` `item_header` TEXT NULL AFTER `footer`,
	CHANGE COLUMN `item_footer` `item_footer` TEXT NULL AFTER `item_header`;");

	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_bakery_payment_methods`");
	$mod_bakery = "CREATE TABLE `".TABLE_PREFIX."mod_bakery_payment_methods` ( "
			. "`pm_id` INT(11) NOT NULL AUTO_INCREMENT ,"
			. "`active` INT(1) NOT NULL ,"
			. "`directory` VARCHAR(50) NOT NULL ,"
			. "`name` VARCHAR(50) NOT NULL ,"
			. "`version` VARCHAR(6) NOT NULL ,"
			. "`author` VARCHAR(50) NOT NULL ,"
			. "`requires` VARCHAR(6) NOT NULL ,"
			. "`field_1` VARCHAR(150) NOT NULL ,"
			. "`value_1` TEXT NOT NULL ,"
			. "`field_2` VARCHAR(150) NOT NULL ,"
			. "`value_2` TEXT NOT NULL ,"
			. "`field_3` VARCHAR(150) NOT NULL ,"
			. "`value_3` TEXT NOT NULL ,"
			. "`field_4` VARCHAR(150) NOT NULL ,"
			. "`value_4` TEXT NOT NULL ,"
			. "`field_5` VARCHAR(150) NOT NULL ,"
			. "`value_5` TEXT NOT NULL ,"
			. "`field_6` VARCHAR(150) NOT NULL ,"
			. "`value_6` TEXT NOT NULL ,"
			. "`cust_email_subject` TEXT NOT NULL ,"
			. "`cust_email_body` TEXT NOT NULL ,"
			. "`shop_email_subject` TEXT NOT NULL ,"
			. "`shop_email_body` TEXT NOT NULL ,"
			. "PRIMARY KEY (`pm_id`)"
			. " )";
	$database->query($mod_bakery);



	// Set default values for general settings
	$shop_name  = str_replace('http://', '', WB_URL);
	$tac_url    = WB_URL.PAGES_DIRECTORY.'/';
	$shop_email = SERVER_EMAIL;
	// Include default EU tax zone file
	include(WB_PATH.'/modules/bakery/eu_tax_zone.php');
	// Insert default values into table general_settings 
	$database->query("INSERT INTO ".TABLE_PREFIX."mod_bakery_general_settings (shop_name, tac_url, shop_email, tax_group) VALUES ('$shop_name', '$tac_url', '$shop_email', '$tax_group')");



	// Insert info into the search table
	// Module query info
	$field_info = array();
	$field_info['page_id']       = 'page_id';
	$field_info['title']         = 'page_title';
	$field_info['link']          = 'link';
	$field_info['description']   = 'description';
	$field_info['modified_when'] = 'modified_when';
	$field_info['modified_by']   = 'modified_by';
	$field_info = serialize($field_info);
	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('module', 'bakery', '$field_info')");
	// Query start
	$query_start_code = "SELECT [TP]pages.page_id, [TP]pages.page_title, [TP]pages.link, [TP]pages.description, [TP]pages.modified_when, [TP]pages.modified_by FROM [TP]mod_bakery_items, [TP]mod_bakery_page_settings, [TP]pages WHERE ";
	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('query_start', '$query_start_code', 'bakery')");
	// Query body
	$query_body_code = "
	[TP]pages.page_id = [TP]mod_bakery_items.page_id AND [TP]mod_bakery_items.title LIKE \'%[STRING]%\'
	OR [TP]pages.page_id = [TP]mod_bakery_items.page_id AND [TP]mod_bakery_items.sku LIKE \'%[STRING]%\'
	OR [TP]pages.page_id = [TP]mod_bakery_items.page_id AND [TP]mod_bakery_items.price LIKE \'%[STRING]%\'
	OR [TP]pages.page_id = [TP]mod_bakery_items.page_id AND [TP]mod_bakery_items.description LIKE \'%[STRING]%\'
	OR [TP]pages.page_id = [TP]mod_bakery_items.page_id AND [TP]mod_bakery_items.full_desc LIKE \'%[STRING]%\'";
	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('query_body', '$query_body_code', 'bakery')");
	// Query end
	$query_end_code = '';	
	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('query_end', '$query_end_code', 'bakery')");
	
	// Insert blank row (there needs to be at least one row for the search to work)
	$database->query("INSERT INTO ".TABLE_PREFIX."mod_bakery_items (section_id,page_id) VALUES ('0', '0')");
	$database->query("INSERT INTO ".TABLE_PREFIX."mod_bakery_page_settings (section_id,page_id) VALUES ('0', '0')");

}
